Subject: bug#14326: 24.3; Conflict of w32-send-sys-command and set-default-font

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 May 2013 09:37:19 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Date: Fri, 3 May 2013 13:31:24 -0700
> 
> > > > For example, increasing the font size should not make a 
> > > > maximized frame larger than the screen.  We're kidding users
> > > > with such behavior.
> > > 
> > > 1. Your argument here applies to any size increase beyond 
> > > the screen size, not just doing that via `set-frame-font'.
> > > So it is irrelevant as an argument why resizing via
> > > `set-frame-font' should be an exception.
> > 
> > It _is_ relevant, because Martin's argument applies not only to
> > increasing maximized frames, but also to decreasing their size as
> > well, as side effect of any change except an explicit change in frame
> > dimensions.
> 
> What argument?  That is the conclusion, but what is the argument supporting it?
> 
> > IOW, when the frame is maximized, only explicitly changing its height
> > or width, or explicitly un-maximizing it, should
> 
> Should why?  That's the question.  Haven't seen an answer yet.
> 
> > ever affect the frame's size.  Any other changes, such as font change or
> > adding/removing scroll bars or fringes -- should
> 
> Should why?
> 
> > leave the frame at the same pixel dimensions, i.e. still maximized.
> 
> All of that just repeats the claim; it does not support it.

I wrote the answer to that many times, almost in every message I
posted lately in this thread: BECAUSE THE FRAME IS MAXIMIZED.

A maximized frame should stay that way for as long as the user wants
that.  The only way the user says she no longer wants a maximized
frame is (a) by explicitly changing the frame dimensions, or (b) by
changing the fullscreen frame parameter to something else.

Maximizing the frame is not just a quick way of changing its
dimensions, it's something else.  It makes the frame _qualitatively_
different.

Now, if you don't agree with that, we will have to disagree.  I've
said everything I have to say on this matter.